# coding=utf-8

import django_filters

from .models import Product, ProductImg


class ProductFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')

    class Meta:
        model = Product
        fields = '__all__'


class ProductImageFilter(django_filters.FilterSet):

    class Meta:
        model = ProductImg
        fields = '__all__'
